import * as React from 'react';
import { DefaultProps } from '../common-types';
import { BoxProps } from '../components/Grid';
interface MermaidProps extends DefaultProps, BoxProps {
    value: string;
}
export declare class Mermaid extends React.Component<MermaidProps, {}> {
    private renderArea;
    readonly id: string;
    constructor(props: MermaidProps);
    componentDidMount(): void;
    renderSVG(): void;
    componentDidUpdate(prevProps: MermaidProps): void;
    render(): JSX.Element;
}
export {};
